// Pkt1.cpp : Implementation of CPkt1

#include "stdafx.h"
#include "Pkt1.h"


// CPkt1

STDMETHODIMP CPkt1::InterfaceSupportsErrorInfo(REFIID riid)
{
	static const IID* const arr[] = 
	{
		&IID_IPkt1
	};

	for (int i=0; i < sizeof(arr) / sizeof(arr[0]); i++)
	{
		if (InlineIsEqualGUID(*arr[i],riid))
			return S_OK;
	}
	return S_FALSE;
}
